Subject: Help on compiling gdbtk on cygwin32 environment
From: [email-masked] (Y. Ahmet Sekercioglu)

12 Nov 1997 21:10:38 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

	Dear All,

	I have downloaded cdk.exe and usertools.exe, and installed
without any problems. I have compiled my first ``hello world'' C
program and run. 

	My primary interest is to port a UNIX-C program using
TCL/TK based GUI. 

	cdk.exe comes with gdbtk and it runs OK. I can see that
tcl and tk libraries are also included in the cygwin32 distribution.

	I thought if I recompile the source of gdbtk with cygwin
tools, I would look at the organization of the Makefiles and do the
same thing. I have downloaded the sources of gdbtk from cygnus and
ran the configure script.

	Alas, ``configure'' script fails:

	I used this option:

	configure --enable-gdbtk

	configure correctly identified the system as cygwin32

	But, it fails with these messages:

	***This configuration is not supported in the following 
subdirectories:

	tk tcl

	configure: warning: Can't find Tcl library
	configure: error: 
	cannot compile a simple X program - suspect your
mkmkf is misconfigured and incorrectly reporting the location
of your X include or libraries.

	My questions are: 
	1. I have not installed the X libraries, and tk based
gdb is running OK on my cygwin32 environment, do I need to
install X libraries to develop tcl/tk GUI based C programs?

	2. What is the trick for compiling gdbtk under cygwin32?

	I am totally confused :-( Thanks for your help in advance...

===Y. Ahmet Sekercioglu ([email-masked])=====IP phone:============
   School of Information Technology                yas.csse.swin.edu.au
   Swinburne University of Technology              tel: +61-3-92148942
===PO Box 218, Hawthorn, 3122 Vic. Australia=======fax: +61-3-98190823==

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".